Limerence
Data sources

Check Search Console Export

Check whether Search Console created the prepared BigQuery export

POST
/data-sources/{id}/search-console/{profileId}/check

Check whether Search Console created the prepared BigQuery export

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Path Parameters

id*string
profileId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/data-sources/string/search-console/string/check" \  -H "Content-Type: application/json" \  -d '{}'
{  "profile": {    "createdAt": "string",    "datasetId": "string",    "dataSourceId": "string",    "id": "string",    "lastCheckedAt": null,    "lastError": null,    "latestDataDate": null,    "location": "string",    "siteUrl": "string",    "status": "PREPARING",    "teamId": "string",    "updatedAt": "string"  },  "projectId": "string",  "ready": true}
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}